Bug 59225 - Please add perl NET::LDAP module to next version
Please add perl NET::LDAP module to next version
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: perl (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chip Turner
David Lawrence
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-02 18:16 EST by Dax Kelson
Modified: 2007-11-30 17:10 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-04 18:33:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dax Kelson 2002-02-02 18:16:33 EST
Description of Problem:
LDAP use is increasing, please add the Net::LDAP perl module to Red Hat Linux.

I noticed that rawhile has 10 more perl module RPMs versus 7.2.
Comment 1 Dax Kelson 2003-01-07 23:52:36 EST
This would be REALLY nice as LDAP deployments are increasingly common.
Comment 2 Chip Turner 2003-04-11 17:19:25 EDT
this will be considered for future releases
Comment 3 Dax Kelson 2003-07-23 00:34:30 EDT
Please consider again now that Severn is out.

I've written a slick replacement for the PADL.COM /etc/* -> LDAP migration
scripts  that requires Perl-LDAP.

It can import /etc files into an LDAP directory over the network optionally
using SSL/TLS and does not have run on the actual LDAP server itself (the PADL
scripts can't do this).

Also, it is completely driven by command line arguments and self contained in a
single file.  The PADL scripts are numerous and must have variables inside them
modified.

I would like to propose getting my "ldapmigrate" script added to RHL, but it
requires perl-LDAP first.
Comment 4 Dax Kelson 2003-07-29 03:13:52 EDT
We humbly offer the GuruLabs.com "ldapmigrate" script as an
alternative solution to the PADL.COM migration scripts.

It licensed under the GPLv2 and can be found at:

http://www.GuruLabs.com/downloads.html

Documentation can be read with --help.
Comment 5 Dax Kelson 2003-09-29 20:37:30 EDT
Moving bug to Fedora. Still wanting NET::LDAP. 
Comment 6 Dax Kelson 2004-05-04 18:33:57 EDT
thanks for adding it.

Note You need to log in before you can comment on or make changes to this bug.